
Redmine - Defect #5126

Associated revision shown multiple times

2010-03-19 16:11 - Carsten Schurig

Status: Closed Start date: 2010-03-19

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

Assume the following scenario:

Project A with SVN at $URL$/projectA

Project AA as sub project of Project A with SVN at $URL$/projectA/projectAA

ticket 123 in Project AA

commit a revision 456 linked to ticked 123

Result: in ticket 123 revision 456 will be mentioned twice

It's clear, why this is happening. Redmine doesn't understand, that those subversion repositories are basically the same one in an

hierarchy.

Related issues:

Is duplicate of Redmine - Defect #6857: git references leaking from subprojec... New 2010-11-09

History

#1 - 2010-03-21 08:44 - Felix Schäfer

Redmine expects all repositories to be unique, i.e. not to have some bits of a single repository "seen" by many projects. You may be able to correct

this behavior for you by unchecking the setting that allows cross-project linking (can't rename the exact name, sorry).

#2 - 2013-03-28 22:03 - Jan Stoetzer

The same thing happens with redmine 2+ where you can associate multiple repositories with a project.

Scenario is similar:

Project A

Repository1 URL/ProjectA

Repository2 URL/ProjectB

Project B is subproject of ProjectA

Repostitory URL/ProjectB, completely independent from ProjectA Repo, not in same hierarchy etc.

Ticket 123 in Project A

Ticket 124 in Project B

Both Tickets have relation

Revision X in Repo URL/ProjectB is related to ticket A-123

Revision Y in Repo URL/ProjectB solves ticket B-124

Results:

Revision X is listed three times in ticket A-123

Revision Y is listed two times in Ticket B-124, together with two comments "Status changed by changeset ProjectA:RepoB|RevisionY" and 

"Status changed by changeset RepoB|RevisionY"

I think there should be a check in the fetch_changesets that avoid these multiple listings. They are really nasty.

#3 - 2013-04-03 05:47 - Toshi MARUYAMA

- Category changed from Issues to SCM

#4 - 2015-08-17 13:25 - Sebastian Paluch

The problem still exists in 3.x.
#5 - 2016-01-17 05:53 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Closing as a duplicate of #6857.

#6 - 2016-01-17 05:53 - Go MAEDA

- Is duplicate of Defect #6857: git references leaking from subproject to project added
